| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Properties | List of all members
IG.Lib.VarTypeBase Class Reference

DO NOT USE! The base class implementing the IVarType interface. More...

Inheritance diagram for IG.Lib.VarTypeBase:
[legend]
Collaboration diagram for IG.Lib.VarTypeBase:
[legend]

## Public Member Functions
virtual object | FromXmlElement (XmlElement source, ref object initial)
| Creates a new object and initializes it from an XML element. More...
virtual XmlElement | ToXmlElement (object source, XmlDocument doc, ref XmlElement initial)
| Creates and returns XML representation of an object. More...
string | ConvertToString (object source, string format)
object | ParseFromString (string source, string format, int position, out int next)

## Properties
virtual string | TypeName`[get]`
virtual string[] | TypeNames`[get]`
Properties inherited from IG.Lib.ITypeName
string | TypeName`[get]`
| Gets the standard name of the type. More...
string[] | TypeNames`[get]`

## Detailed Description

DO NOT USE! The base class implementing the IVarType interface.

## Member Function Documentation

virtual object IG.Lib.VarTypeBase.FromXmlElement | ( | XmlElement | source,
|  | ref object | initial
| ) |  |
| inline virtual

Creates a new object and initializes it from an XML element.

Parameters

  source | XML elmeent containing contents of the object.
  initial | Eventual existing object that can be used as storage storing the returnet object. The function is not obliged to use this object.

Returns
  Object created and/or initialized from XML.

Implements IG.Lib.IFromXml.

virtual XmlElement IG.Lib.VarTypeBase.ToXmlElement | ( | object | source,
|  | XmlDocument | doc,
|  | ref XmlElement | initial
| ) |  |
| inline virtual

Creates and returns XML representation of an object.

Parameters

  source | Object to be converted to XML.
  doc | XML document used for eventual creation of an XML element.
  initial | XML element on which contents of source can be stored. Function is not obliged to use it (e.g. it can always return a newly created object - this is left to implementation).

Returns
  XML element, an XML representation of the object.

Implements IG.Lib.IToXml.

string IG.Lib.VarTypeBase.ConvertToString | ( | object | source,
|  | string | format
| ) |  |
| inline

Implements IG.Lib.IStringParsable.

object IG.Lib.VarTypeBase.ParseFromString | ( | string | source,
|  | string | format,
|  | int | position,
|  | out int | next
| ) |  |
| inline

Implements IG.Lib.IStringParsable.

## Property Documentation

virtual string IG.Lib.VarTypeBase.TypeName
| get

virtual string [] IG.Lib.VarTypeBase.TypeNames
| get

The documentation for this class was generated from the following file:

- igbase/0unsorted/Vartypes.cs